Subject: Re: [PATCH net-next v2] ppp: add IFLA_PPP_UNIT netlink attribute

From: Jakub Kicinski <[email-masked]>
Date: Tue, 17 Mar 2026 16:14:43 -0700

On Sat, 14 Mar 2026 02:14:29 +0100 Martin Olivier wrote:
> Currently, the PPP rtnetlink API allows creating a new network interface
> with a custom ifname, but it lacks the ability to specify a custom PPP
> unit id.
> 
> Setting a specific unit id is currently only possible with the
> PPPIOCNEWUNIT ioctl. If a user-space program also requires a custom
> interface name, it must create the interface first with PPPIOCNEWUNIT
> and then rename it.
> 
> Resolve this by introducing the IFLA_PPP_UNIT netlink attribute. This
> allows user-space programs to atomically request both a custom ifname
> and a specific PPP unit id during the RTM_NEWLINK creation process,
> eliminating the post-creation renaming for this use case.

Qingfang Deng, you work on PPP, could you review this patch, please?